Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class ResultTableStructure

    java.lang.Object
      mro.util.experimentation.ResultTableStructure

    public class ResultTableStructure

extends java.lang.Object

A class for handling xml tables.

Field Summary
`private java.lang.String` | `caption`
`private Table<java.lang.String>` | `columnTitles`
`private MeasureAbbreviationTable` | `measureAbbreviationTable`
`private PathTable` | `pathTable`
`private RelativeTable` | `relativeTable`
`private Table<java.lang.String>` | `rowTitles`

Constructor Summary
`ResultTableStructure()`

Method Summary
`java.lang.String` | `getCaption()`
`Table<java.lang.String>` | `getColumnTitles()`
`java.lang.String` | `getCommonPath()`
`MeasureAbbreviationTable` | `getMeasureAbbreviationTable()`
`PathTable` | `getPathTable()`
`RelativeTable` | `getRelativeTable()`
`Table<java.lang.String>` | `getRowTitles()`
`static ResultTableStructure` | `load(java.io.File file)` Loads a ResultTableStructure-object from the specified file.
`static ResultTableStructure` | `load(java.lang.String fileName)` Loads a ResultTableStructure-object from a file with the specified file name.
`static ResultTableStructure` | `loadXML(org.xml.sax.InputSource source)` Loads a ResultTableStructure-object from an `java.io.InputSource`.
`static void` | `printDTD(java.io.PrintWriter pw)` Prints the complete DTD of a ResultTableStructure-XML-file to a `PrintWriter`.
`void` | `printPartXML(java.io.PrintWriter pw)`
`static void` | `printResultTableStructureXSLReference(java.io.PrintWriter pw)` Prints a reference to the ResultTableStructure-XSL-file to a `PrintWriter`.
`void` | `printXML(java.io.PrintWriter pw)` Prints the ResultTableStructure to a `PrintWriter`.
`void` | `printXSL(java.io.PrintWriter pw)` Prints a basic XSL-file for ResultTableStructure XML-files to a `PrintWriter`.
`void` | `save(java.io.File file)` Saves a ResultTableStructure-object to the specified file.
`void` | `save(java.lang.String fileName)` Saves a ResultTableStructure-object to a file with the specified file name.
`protected void` | `setCaption(java.lang.String caption)`
`protected void` | `setColumnTitles(Table<java.lang.String> columnTitles)`
`protected void` | `setCommonPath(java.lang.String commonPath)`
`void` | `setMeasureAbbreviationTable(MeasureAbbreviationTable measureAbbreviationTable)`
`protected void` | `setPaths(PathTable pathTable)`
`void` | `setRelativeTable(RelativeTable relativeTable)`
`protected void` | `setRowTitles(Table<java.lang.String> rowTitles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### caption

    private java.lang.String caption

### measureAbbreviationTable

    private MeasureAbbreviationTable measureAbbreviationTable

### columnTitles

    private Table<java.lang.String> columnTitles

### rowTitles

    private Table<java.lang.String> rowTitles

### pathTable

    private PathTable pathTable

### relativeTable

    private RelativeTable relativeTable

Constructor Detail

### ResultTableStructure

    public ResultTableStructure()

Method Detail

### setCaption

    protected void setCaption(java.lang.String caption)

### setCommonPath

    protected void setCommonPath(java.lang.String commonPath)

### setColumnTitles

    protected void setColumnTitles(Table<java.lang.String> columnTitles)

### setRowTitles

    protected void setRowTitles(Table<java.lang.String> rowTitles)

### setPaths

    protected void setPaths(PathTable pathTable)

### setRelativeTable

    public void setRelativeTable(RelativeTable relativeTable)

### setMeasureAbbreviationTable

    public void setMeasureAbbreviationTable(MeasureAbbreviationTable measureAbbreviationTable)

### getCaption

    public java.lang.String getCaption()

### getCommonPath

    public java.lang.String getCommonPath()

### getColumnTitles

    public Table<java.lang.String> getColumnTitles()

### getRowTitles

    public Table<java.lang.String> getRowTitles()

### getPathTable

    public PathTable getPathTable()

### getRelativeTable

    public RelativeTable getRelativeTable()

### getMeasureAbbreviationTable

    public MeasureAbbreviationTable getMeasureAbbreviationTable()

### save

    public void save(java.lang.String fileName)
              throws java.io.IOException

  Saves a ResultTableStructure-object to a file with the specified file name.

  Throws:
    `java.io.IOException`

### save

    public void save(java.io.File file)
              throws java.io.IOException

  Saves a ResultTableStructure-object to the specified file.

  Throws:
    `java.io.IOException`

### printDTD

    public static void printDTD(java.io.PrintWriter pw)
                         throws java.io.IOException

  Prints the complete DTD of a ResultTableStructure-XML-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printResultTableStructureXSLReference

    public static void printResultTableStructureXSLReference(java.io.PrintWriter pw)
                                                      throws java.io.IOException

  Prints a reference to the ResultTableStructure-XSL-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Prints the ResultTableStructure to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printPartXML

    public void printPartXML(java.io.PrintWriter pw)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### printXSL

    public void printXSL(java.io.PrintWriter pw)
                  throws java.io.IOException

  Prints a basic XSL-file for ResultTableStructure XML-files to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### load

    public static ResultTableStructure load(java.lang.String fileName)
                                     throws java.io.IOException,
                                            org.xml.sax.SAXException

  Loads a ResultTableStructure-object from a file with the specified file name.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### load

    public static ResultTableStructure load(java.io.File file)
                                     throws java.io.IOException,
                                            org.xml.sax.SAXException

  Loads a ResultTableStructure-object from the specified file.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### loadXML

    public static ResultTableStructure loadXML(org.xml.sax.InputSource source)
                                        throws java.io.IOException,
                                               org.xml.sax.SAXException

  Loads a ResultTableStructure-object from an `java.io.InputSource`.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD